
From: "Antonino A. Daplas" <adaplas@hotpop.com>

A few options, such as noscale, are processed after hardware has been
configured which render them useless.  This manifest as failure of DVI
displays to scale.

Process them earlier.

From: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/nvidia/nvidia.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/video/nvidia/nvidia.c~nvidiafb-process-boot-options-earlier drivers/video/nvidia/nvidia.c
--- 25/drivers/video/nvidia/nvidia.c~nvidiafb-process-boot-options-earlier	2005-03-20 16:04:52.000000000 -0800
+++ 25-akpm/drivers/video/nvidia/nvidia.c	2005-03-20 16:04:52.000000000 -0800
@@ -1353,8 +1353,6 @@ static int __devinit nvidia_set_fbinfo(s
 	if (!hwcur)
 		info->fbops->fb_cursor = soft_cursor;
 	info->var.accel_flags = (!noaccel);
-	par->FpScale = (!noscale);
-	par->paneltweak = paneltweak;
 
 	switch (par->Architecture) {
 	case NV_ARCH_04:
@@ -1486,6 +1484,8 @@ static int __devinit nvidiafb_probe(stru
 		printk(KERN_INFO PFX "flatpanel support enabled\n");
 
 	par->CRTCnumber = forceCRTC;
+	par->FpScale = (!noscale);
+	par->paneltweak = paneltweak;
 
 	/* enable IO and mem if not already done */
 	pci_read_config_word(pd, PCI_COMMAND, &cmd);
_
